import 'dart:convert';

import 'package:grocery_app/src/core/constant/api.dart';
import 'package:grocery_app/src/core/network_services/api_services.dart';

class OrderService extends ApiService
{


  Future myOrder(data) async {
    var response = await api.get(APIURL.myOrder, data: jsonEncode(data));

    return response;
  }






  


  Future getAssignedOtp(data) async {
    var response = await api.get(APIURL.getAssignedOtp,
        data: jsonEncode(data), queryParameters: data);

    return response;
  }

   Future updateStatus(data, orderItemId) async {
    var response = await api.patch(
        APIURL.updateStatus + orderItemId + "/status",
        data: jsonEncode(data));

    return response;
  }

}